Subject: Re: bug#53436: 29.0.50; org-toggle-pretty-entities- does not work when toggled off

From: Arthur Miller <[email-masked]>
Date: Sun, 23 Jan 2022 15:15:51 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Arthur Miller <[email-masked]> writes:
>
>> Yes, and it should be. My brain was elswhere when I wrote that bug repport. It
>> is not org-toggle-pretty-entities that control emphasis, it is a variable:
>>
>> 'org-fontify-emphaiszed-test'.
>
> It's spelled org-fontify-emphasized-text -- perhaps that's the problem?

:-) No, I was just typed to write here, in M-: I use completion, and Emacs would
complain about void symbol. 

>> When set to nil it text should not be rendered in italiccs, bold etc, but it
>> still is. It is still a bug. Manual says that setting this variable to nil will
>> turn fontification for marked up text:
>>
>> https://orgmode.org/manual/Emphasis-and-Monospace.html
>>
>> I appologize for the confusion, I don't know what was with me, why I looked at
>> org-togge-pretty-entities at all.
>>
>>> from "emacs -Q"?
>>
>> Yes of course, I did it in emacs -Q both in repport and now.
>
> I tried:
>
> emacs -Q
> (setq org-fontify-emphasized-text nil)
> C-x C-f a.org RET
>
Yes, indeed, I expected it to work in same session, but it requires buffer to be
reverted for the setting to take the effect. I guess it was my expection that
was off here. I misred this:

 "To turn off fontification for marked up text, you can set
  org-fontify-emphasized-text to nil."

to work as a toggle, but it does not. I tested to call org-restart-font-lock,
but it didn't do anything. The only way seems to be to restart entire org-mode,
either via change to another mode or by reverting the buffer.

But close the bug repport. I guess it is not a bug. Thanks for the help.